var STORAGE_SUPPORT = (typeof(Storage)!=="undefined");

function entryFromStorage(name){
	if(!STORAGE_SUPPORT || !sessionStorage)
		return '';

	return sessionStorage[name] || '';
}

function entryToStorage(name, value){

	if(!STORAGE_SUPPORT || !sessionStorage)
		return;

	sessionStorage[name] = value;
}

function entriesFromStorage(){

	if(!STORAGE_SUPPORT)
		return;

	$('#txtClass').val(entryFromStorage('#txtClass'));
	$('#txtCourse').val(entryFromStorage('#txtCourse'));
	$('#txtGroup').val(entryFromStorage('#txtGroup'));
	$('#txtGuardian').val(entryFromStorage('#txtGuardian'));
	$('#txtDate').val(entryFromStorage('#txtDate'));
	
	$('#txtStudent1').val(entryFromStorage('#txtStudent1'));
	$('#txtStudent2').val(entryFromStorage('#txtStudent2'));
	$('#txtStudent3').val(entryFromStorage('#txtStudent3'));
	$('#txtStudent4').val(entryFromStorage('#txtStudent4'));
	$('#txtStudent5').val(entryFromStorage('#txtStudent5'));
	
}


function entriesToStorage(){

	if(!STORAGE_SUPPORT)
		return;

	entryToStorage('#txtClass', $('#txtClass').val());
	entryToStorage('#txtCourse', $('#txtCourse').val());
	entryToStorage('#txtGroup', $('#txtGroup').val());
	entryToStorage('#txtGuardian', $('#txtGuardian').val());
	entryToStorage('#txtDate', $('#txtDate').val());
	
	entryToStorage('#txtStudent1', $('#txtStudent1').val());
	entryToStorage('#txtStudent2', $('#txtStudent2').val());
	entryToStorage('#txtStudent3', $('#txtStudent3').val());
	entryToStorage('#txtStudent4', $('#txtStudent4').val());
	entryToStorage('#txtStudent5', $('#txtStudent5').val());
	
}